<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DANH SÁCH ẢNH CÓ ALBUM SỐ </title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>

<body onload="onPageLoading()">
    <div class="container-fluid pt-4">
        <h2 class="text-center pb-3">DANH SÁCH ẢNH CÓ ALBUM SỐ 3</h2>
        <table class="table text-center table-striped" id="table-order">
            <thead>
                <tr>
                    <th scope="col">STT</th>
                    <th scope="col">Album</th>
                    <th scope="col">Title</th>
                    <th scope="col">Url ảnh</th>
                    <th scope="col">Thumbnail</th>

                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</body>

</html>
<script>
   
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
        const gEND_OF_TABLE_ROW = -1;
        const gCOLUMN_STT = 0;
        const gCOLUMN_ALBUM = 1;
        const gCOLUMN_TITLE = 2;
        const gCOLUMN_URL_ANH = 3;
        const gCOLUMN_THUMBNAIL = 4;

        const vBASE_URL = "https://jsonplaceholder.typicode.com/albums/3/photos";

        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        function onPageLoading() {
            // Gọi API để lấy danh sách ảnh của Album số 3
            $.ajax({
                url: vBASE_URL,
                type: "GET",
                success: function (response) {
                    displayPhotos(response);
                },
                error: function (xhr, status, error) {
                    console.log("Error:", error);
                }
            });
        }
        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
        // Hàm hiển thị danh sách ảnh lên bảng
        function displayPhotos(photos) {
            var tableBody = $("#table-order tbody");

            for (var i = 0; i < photos.length; i++) {
                var photo = photos[i];
                var row = $("<tr></tr>");

                // Thêm STT
                var sttCell = $("<td></td>");
                sttCell.text(i + 1);
                row.append(sttCell);

                // Thêm Album
                var albumCell = $("<td></td>");
                albumCell.text(photo.albumId);
                row.append(albumCell);

                // Thêm Titles
                var titleCell = $("<td></td>");
                titleCell.text(photo.title);
                row.append(titleCell);

                // Thêm Url ảnh
                var urlCell = $("<td></td>");
                urlCell.text(photo.url);
                row.append(urlCell);

                // Thêm Thumbnail
                var thumbnailCell = $("<td></td>");
                var thumbnailImage = $("<img></img>");
                thumbnailImage.attr("src", photo.thumbnailUrl);
                thumbnailCell.append(thumbnailImage);
                row.append(thumbnailCell);

                tableBody.append(row);
            }
        }
       

</script>